#include "cameradialog.h"
#include "ui_cameradialog.h"
#include "../cameras.h"

CameraDialog::CameraDialog(const std::vector<cam::Camera::Description>& desc, QWidget *parent) :
	QDialog(parent),
	ui(new Ui::CameraDialog)
{
	ui->setupUi(this);
	ui->listView->setCameras(desc);
}

CameraDialog::~CameraDialog()
{
	delete ui;
}

std::vector<cam::Camera::Description> CameraDialog::getDescriptions()
{
	return ui->listView->getSelectedDescriptions();
}
